#include <stdio.h>
#include <iostream>
#include <sstream>
#include <string>
#include <vector>


using namespace std;


int string_to_int(const string& s) {
	int result;
	stringstream ss;
	ss << s;
	ss >> result;
	return result;
}


int main(int argc, char** argv) {
	freopen("input.txt", "w", stdout);
	int n = string_to_int(argv[1]);
	int k = string_to_int(argv[2]);
	int s = string_to_int(argv[3]);
	int randseed = string_to_int(argv[4]);
	
	srand(randseed);
	vector<pair <int, int> > variants;
	int vs = n * k;
	variants.resize(vs);
	int c = 100;
	int shift = 10;
	for (int i = 1; i <= k*n; i++) {
		variants[i-1] = make_pair(c, c+shift);
		c += 2*shift;
	}
	
	printf("%d\n", n);
	for (int i = 0; i < n; i++) {
		printf("%d  ", k);
		for (int j = 0; j < k; j++) {
			int ind = (rand()*rand()) % vs;
			vs--;
			swap(variants[ind], variants[vs]);
			printf("%d %d  ", variants[vs].first - rand() % shift, variants[vs].second + rand() % shift);
			variants.resize(vs);
		}
		printf("\n%d  ", s);
		for (int j = 0; j < s; j++) {
			printf("%d ", (rand()*rand()) % (1000*1000));
		}
		printf("\n");
	}
	fclose(stdout);
	return 0;
}
