#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <iostream>
#include <algorithm>
#include <vector>
#include <iomanip>
#include <map>

using namespace std;

typedef long double real;
typedef long long TT;

#define PB push_back
#define SQR(x) ((x)*(x))
#define PII pair<int, int>
#define VI vector<int>
#define VVI vector<VI >
#define VS vector<string>
#define VTT vector<TT>
#define VR vector<real>
#define A first
#define B second

const int maxn = 100010;

struct evnt
{
   int x, iter, type;
   evnt(int _x, int _iter, int _type): x(_x), iter(_iter), type(_type) {}
};

bool pred(const evnt& e1, const evnt& e2)
{
   if (e1.x == e2.x) {
      return e1.type > e2.type;
   } else return e1.x < e2.x;
}

map<int, int> a;
vector<evnt> seq;

int main()
{
   freopen("input.txt" ,"rt", stdin); freopen("output.txt", "wt", stdout);
   
   int i, j, k, n;
   
   scanf("%d", &n);
   for (i = 0; i < n; i++) {
      scanf("%d", &k);
      for (j = 0; j < k; j++) {
         int L, R;
         scanf("%d %d", &L, &R);
         seq.PB(evnt(L, i, 1));
         seq.PB(evnt(R, i, -1));
      }
      
      scanf("%d", &k);
      for (j = 0; j < k; j++) {
         int x;
         scanf("%d", &x);
         seq.PB(evnt(x, i, 0));
      }
   }
   sort(seq.begin(), seq.end(), pred);
   
   int ans = 0;
   for (i = 0; i < seq.size(); i++) {
      switch (seq[i].type) {
         case -1:
            a[seq[i].iter]--;
            if (!a[seq[i].iter]) a.erase(seq[i].iter);
            break;
         case 0: 
            if (a.size() && a.begin()->first <= seq[i].iter) ans++;
            break;
         case 1:
            a[seq[i].iter]++;
            break;
      }
   }
   
   printf("%d", ans);

   fclose(stdin); fclose(stdout);
   return 0;   
}
